/*$("body").on('click', '.action_add_arquivo', function(e){    e.preventDefault();  });*/

$(".action_add_arquivo").click(function() {
  
    
    var data = {
        nome: $('#novo_arquivo').val(),
    };
        $.ajax(
            {
                url: base_url+'newsletter/handler/set_novo_arquivo',
                dataType: 'json',
                type: 'POST',
                data: data,
                success: function(retorno)
                {
                    if (retorno.valid === true)
                    {
                       $(".modal_add_arquivo").modal('hide');
                       $('#novo_arquivo').val('');
                       $('#select_arquivo').html(retorno.html_options);
                       
                    }
                    else
                    {
                        alert(retorno.msg);
                    }
                },
                error: function(error)
                {
                    alert('Erro!')
                },
               
        });   

  
});